/***********************************************************
 * $Id: InvalidTargetException.java 10 2008-10-17 22:03:34Z wglas $
 * 
 * remoting framework of the clazzes project.
 * http://www.clazzes.org
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Created: 17.10.2008
 * 
 ***********************************************************/

package org.clazzes.remoting;

/**
 * This exception is thrown when an invalid subsystem name or
 * callback UID is specified.
 * 
 * @author wglas
 */
public class InvalidTargetException extends RuntimeException {

    private static final long serialVersionUID = -5472657282999255317L;

    /**
     * Construct an InvalidTargetException instance.
     */
    public InvalidTargetException() {
    }

    /**
     * @param message
     */
    public InvalidTargetException(String message) {
        super(message);
    }

    /**
     * @param cause
     */
    public InvalidTargetException(Throwable cause) {
        super(cause);
    }

    /**
     * @param message
     * @param cause
     */
    public InvalidTargetException(String message, Throwable cause) {
        super(message, cause);
    }

}
