/***********************************************************
 * $Id: OldSerialVersionUIDs.java 57 2009-04-22 19:06:49Z wglas $
 * 
 * remoting framework of the clazzes project.
 * http://www.clazzes.org
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Created: 20.04.2009
 * 
 ***********************************************************/

package org.clazzes.remoting.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * This annotation adds more than one compatibility notes for old serial version UIDs
 * for the compact Marshaler.
 * 
 * @author wglas
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.TYPE})
public @interface OldSerialVersionUIDs {

    /**
     * @return the old serialVersionUID hints.
     */
    abstract OldSerialVersionUID[] value();
}
