/***********************************************************
 * $Id: ClientConnectionHandler.java 51 2009-04-13 20:30:21Z wglas $
 * 
 * remoting framework of the clazzes project.
 * http://www.clazzes.org
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Created: 13.04.2009
 * 
 ***********************************************************/

package org.clazzes.remoting.client;

import java.io.IOException;
import java.lang.reflect.InvocationTargetException;
import java.rmi.server.UID;

import org.clazzes.remoting.cmd.InvocationCmd;
import org.clazzes.remoting.cmd.LoadClassCmd;
import org.clazzes.remoting.loading.ClassBytes;

/**
 * The abstraction of a connection handler on the client side.
 * 
 * @author wglas
 */
interface ClientConnectionHandler {

    public void close();

    public Object send(InvocationCmd invocation) throws IOException,
            InvocationTargetException;

    public ClassBytes send(LoadClassCmd cmd) throws IOException;

    public UID getClientUID();
}