/***********************************************************
 * $Id: CmdVisitorSupport.java 7 2008-10-16 20:35:10Z wglas $
 * 
 * remoting framework of the clazzes project.
 * http://www.clazzes.org
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Created: 15.10.2008
 * 
 ***********************************************************/

package org.clazzes.remoting.cmd;

/**
 * An implementation of CmdVisitor, which throwas exception on each command,
 * allowing the implementation of CmdVisitor's which selectively implement
 * selected packets.
 * 
 * @author wglas
 */
public class CmdVisitorSupport implements CmdVisitor {

    /* (non-Javadoc)
     * @see org.clazzes.remoting.cmd.CmdVisitor#visit(org.clazzes.remoting.cmd.InvocationCmd)
     */
    public void visit(InvocationCmd cmd) {
       
        throw new UnsupportedOperationException("InvocationCmd received at wrong position.");
    }

    /* (non-Javadoc)
     * @see org.clazzes.remoting.cmd.CmdVisitor#visit(org.clazzes.remoting.cmd.InvocationResultCmd)
     */
    public void visit(InvocationResultCmd cmd) {
        
        throw new UnsupportedOperationException("InvocationResultCmd received at wrong position.");
    }

    /* (non-Javadoc)
     * @see org.clazzes.remoting.cmd.CmdVisitor#visit(org.clazzes.remoting.cmd.InvocationExceptionCmd)
     */
    public void visit(InvocationExceptionCmd cmd) {
        
        throw new UnsupportedOperationException("InvocationExceptionCmd received at wrong position.");
   }

    /* (non-Javadoc)
     * @see org.clazzes.remoting.cmd.CmdVisitor#visit(org.clazzes.remoting.cmd.CallBackCmd)
     */
    public void visit(CallBackCmd cmd) {

        throw new UnsupportedOperationException("CallBackCmd received at wrong position.");
    }

    /* (non-Javadoc)
     * @see org.clazzes.remoting.cmd.CmdVisitor#visit(org.clazzes.remoting.cmd.ExchangeClientUIDCmd)
     */
    public void visit(ExchangeClientUIDCmd cmd) {
        
        throw new UnsupportedOperationException("ExchangeClientUIDCmd received at wrong position.");
    }

    /* (non-Javadoc)
     * @see org.clazzes.remoting.cmd.CmdVisitor#visit(org.clazzes.remoting.cmd.LoadClassCmd)
     */
    public void visit(LoadClassCmd cmd) {
        
        throw new UnsupportedOperationException("LoadClassCmd received at wrong position.");
    }

    /* (non-Javadoc)
     * @see org.clazzes.remoting.cmd.CmdVisitor#visit(org.clazzes.remoting.cmd.ReturnClassBytesCmd)
     */
    public void visit(ReturnClassBytesCmd cmd) {
        
        throw new UnsupportedOperationException("ReturnClassBytesCmd received at wrong position.");
    }

}
